org.eclipse.viatra.cep.core.metamodels.automaton

## Interface EventToken

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    EventTokenImpl

      public interface EventToken
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Event Token'.

  The following features are supported:

  - `Current State`
  - `Recorded Events`
  - `Last Processed`
  - `Timed Zones`
  - `Parameter Table`
  See Also:
    `AutomatonPackage.getEventToken()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `State` | `getCurrentState()` Returns the value of the 'Current State' reference.
    `Event` | `getLastProcessed()` Returns the value of the 'Last Processed' reference.
    `ParameterTable` | `getParameterTable()` Returns the value of the 'Parameter Table' containment reference.
    `org.eclipse.emf.common.util.EList<Event>` | `getRecordedEvents()` Returns the value of the 'Recorded Events' reference list.
    `org.eclipse.emf.common.util.EList<TimedZone>` | `getTimedZones()` Returns the value of the 'Timed Zones' reference list.
    `void` | `setCurrentState(State value)` Sets the value of the '`Current State`' reference.
    `void` | `setLastProcessed(Event value)` Sets the value of the '`Last Processed`' reference.
    `void` | `setParameterTable(ParameterTable value)` Sets the value of the '`Parameter Table`' containment reference.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getCurrentState

          State getCurrentState()

      Returns the value of the 'Current State' reference. It is bidirectional and its opposite is '`Event Tokens`'.

      If the meaning of the 'Current State' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Current State' reference.
      See Also:
        `setCurrentState(State)`, `AutomatonPackage.getEventToken_CurrentState()`, `State.getEventTokens()`
      Generated:
      Model:
        opposite="eventTokens"

    - #### setCurrentState

          void setCurrentState(State value)

      Sets the value of the '`Current State`' reference.
      Parameters:
        `value` - the new value of the 'Current State' reference.
      See Also:
        `getCurrentState()`
      Generated:

    - #### getRecordedEvents

          org.eclipse.emf.common.util.EList<Event> getRecordedEvents()

      Returns the value of the 'Recorded Events' reference list. The list contents are of type `Event`.

      If the meaning of the 'Recorded Events' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Recorded Events' reference list.
      See Also:
        `AutomatonPackage.getEventToken_RecordedEvents()`
      Generated:
      Model:

    - #### getLastProcessed

          Event getLastProcessed()

      Returns the value of the 'Last Processed' reference.

      If the meaning of the 'Last Processed' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Last Processed' reference.
      See Also:
        `setLastProcessed(Event)`, `AutomatonPackage.getEventToken_LastProcessed()`
      Generated:
      Model:

    - #### setLastProcessed

          void setLastProcessed(Event value)

      Sets the value of the '`Last Processed`' reference.
      Parameters:
        `value` - the new value of the 'Last Processed' reference.
      See Also:
        `getLastProcessed()`
      Generated:

    - #### getTimedZones

          org.eclipse.emf.common.util.EList<TimedZone> getTimedZones()

      Returns the value of the 'Timed Zones' reference list. The list contents are of type `TimedZone`.

      If the meaning of the 'Timed Zones' reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Timed Zones' reference list.
      See Also:
        `AutomatonPackage.getEventToken_TimedZones()`
      Generated:
      Model:

    - #### getParameterTable

          ParameterTable getParameterTable()

      Returns the value of the 'Parameter Table' containment reference. It is bidirectional and its opposite is '`Event Token`'.

      If the meaning of the 'Parameter Table' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Parameter Table' containment reference.
      See Also:
        `setParameterTable(ParameterTable)`, `AutomatonPackage.getEventToken_ParameterTable()`, `ParameterTable.getEventToken()`
      Generated:
      Model:
        opposite="eventToken" containment="true" required="true"

    - #### setParameterTable

          void setParameterTable(ParameterTable value)

      Sets the value of the '`Parameter Table`' containment reference.
      Parameters:
        `value` - the new value of the 'Parameter Table' containment reference.
      See Also:
        `getParameterTable()`
      Generated: